Get Model by Workspace and Name

View as Markdown
Get Model by Workspace and Name. Returns the details of a specific model entity identified by its workspace and name.

Path parameters

workspacestringRequired
namestringRequired

Query parameters

verbosebooleanOptionalDefaults to false
Whether to include full spec details

Response

Return model details
idstring
Autogenerated id
namestringformat: "^[\w\-.]+$"<=255 characters

Name of the entity. Name/workspace combo must be unique across all entities. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

workspacestringformat: "^[\w\-.]+$"<=255 characters

The workspace of the entity. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

created_atdatetime
The timestamp of model entity creation
updated_atdatetime
The timestamp of the last model entity update
projectstringOptional<=255 characters
The URN of the project associated with this model entity.
descriptionstringOptional<=1000 characters
Optional description of the model.
specobjectOptional
Detailed specification for the model
finetuning_typeenumOptional
Set for full weight finetuned models
filesetstringOptional

A set of checkpoint files, configs, and other auxiliary info associated with this model - expected format {workspace}/{fileset_name}

trust_remote_codebooleanOptionalDefaults to false
Whether to trust remote code to load this model checkpoint.
base_modelstringOptional
Link to another model which is used as a base for the current model
api_endpointobjectOptional
Data about the inference endpoint for this model
backend_formatenum or nullOptional

Inference API wire format expected by the backend. If unset, inference routing treats the model as OPENAI_CHAT.

adapterslist of objectsOptional
Adapters that have been created against this model
promptobjectOptional
Configuration for prompt engineering
custom_fieldsmap from strings to anyOptional
Custom fields for additional metadata
ownershipmap from strings to anyOptional
Ownership information for the model
model_providerslist of stringsOptional

List of ModelProvider workspace/name resource names that provide inference for this Model Entity

Errors

422
Unprocessable Entity Error